過去ログ表示


過去ログ 198 を表示

トピック内全 21 記事中の 1 〜 10 番目を表示
[ 最新記事及び返信フォームをトピックトップへ ]
このトピックの全ページ / [0] [1] [2]

Javaアプレットは最新版Firefoxでもダメでしょうか?
(#31184) このトピック中1番目の投稿
(環境: WinXP SP2/Firefox1.5)

Javaアプレット(スクリプトではない)は最新版Firefoxでもダメでしょうか?
Sun製のJRE5.0updata6 Java3D1.3.1が入っていて
JRE側のJavaコントロールパネル、詳細タブ<APPLET>タグのサポートで
MozillaおよびNetScapeにチェックを入れて「了解」ボタンを押しても
再度Javaコントロールパネルを立ち上げると同チェックが外れてしまいます。
さらにFirefox側で「ツール」→「オプション」→「コンテンツ」→「Javaを有効にする」にチェックを入れてもJavaアプレットが起動できません。
FirefoxそのものがJavaアプレットに対応していないのか、
それともFirefox専用のプラグインをダウンロードしないといけないのか
そもそもFirefoxが<applet>タグ非対応なのか(<object>タグのみ対応とか)、
アドバイスお願いいたします。
同一アプレットはIE6では動作しました。

(環境: WinXP SP2/Firefox1.5)

 このURLに記載したJava仮想マシンのテスト(SunのWebサイト)では
私の環境のFirefoxでもしっかり動作しているようです。
ここのソースを見る限りFirefoxは<applet>タグには対応しているようです。
XHTML関係の問題でしょうか?

(環境: WinXP SP2/Firefox1.5)

XHTML関係の問題として
タグが大文字だと読めない?
これが原因?
そもそもFirefoxはXHTML専用?
Firefoxは大文字のタグは認識できない?

(環境: WinXP SP2/Firefox1.5)

 タグを全部小文字に変えてもダメでした。

(環境: WinXP SP2/Firefox2.0a2)

> MozillaおよびNetScapeにチェックを入れて「了解」ボタンを押しても
再度Javaコントロールパネルを立ち上げると同チェックが外れてしまいます。

特に問題はありません。


> さらにFirefox側で「ツール」→「オプション」→「コンテンツ」→「Javaを有効にする」にチェックを入れてもJavaアプレットが起動できません。

これはJava Scriptです。
scriptとアプレットは別物です。


> Firefoxは大文字のタグは認識できない?

認識します。


JREを入れてればOKなはずです。
うまく機能しないサイトがあれば提示してください。
サイト側の問題の可能性もあります。

(環境: WinXP SP2/Firefox1.5)

>>さらにFirefox側で「ツール」→「オプション」→「コンテンツ」→「Javaを有効にする」にチェックを入れてもJavaアプレットが起動できません。
>
> これはJava Scriptです。
> scriptとアプレットは別物です。

え?
「JavaScriptを有効にする」のチェックボックスとは別に「Javaを有効にする」のチェックボックスがありますけど・・・

> JREを入れてればOKなはずです。
> うまく機能しないサイトがあれば提示してください。
> サイト側の問題の可能性もあります。

すいません。Webサイトではなくて
ソフトバンクパブリッシング刊
長久 勝 著
Javaゲームプログラミング アルゴリズムとフレームワーク
ISBN4-7973-1842-2

のサンプルプログラムなのです(IE6で動作確認済み IE6では動作しました)。

サンプルプログラムの全てがFirefoxでは動きません。画面は真っ白。ソースを見るとhtmlが表示されるが・・・

IE6では同プログラムが問題なく起動します。

すいません。

(環境: WinXP SP2/Firefox2.0a2)

> 「JavaScriptを有効にする」のチェックボックスとは別に「Javaを有効にする」のチェックボックスがありますけど・・・

早とちりです。
失礼しました。


> ソフトバンクパブリッシング刊
> 長久 勝 著
> Javaゲームプログラミング アルゴリズムとフレームワーク
> ISBN4-7973-1842-2

推奨環境とか書かれていませんか?

非動作時
(#31213) このトピック中8番目の投稿
(環境: WinXP SP2/Firefox1.5)

・本CD-ROMおよびその収録データに関し、その使用方法もしくは非動作時の質問、サポートなどの問い合わせについて、当社及び著者は回答の義務を負わないこととします。

としか書かれていないです・・・

2004年の本なので
HTMLConverterを使わないとダメなのかも・・・

Re[7]: 非動作時
(#31215) このトピック中9番目の投稿
(環境: WinXP SP2/Firefox2.0a2)

> ソフトバンクパブリッシング刊
> 長久 勝 著
> Javaゲームプログラミング アルゴリズムとフレームワーク
> ISBN4-7973-1842-2
> のサンプルプログラムなのです(IE6で動作確認済み IE6では動作しました)。
> サンプルプログラムの全てがFirefoxでは動きません。画面は真っ白。ソースを見るとhtmlが表示されるが・・・
> IE6では同プログラムが問題なく起動します。

サイトのようなページにサンプルが埋め込まれたような感じになっているのでしょうか?
その場合、下記の一種だと思われます。
http://www.mozilla-japan.org/kb/solution/2045

ソースをここに貼ってもらうと詳細がわかるかと思います。


埋め込まれている場合、そのサンプルへのリンクが書かれていると思いますが、それを直接アドレスバーに打ち込めば見ることができると思います。

(環境: Win2000/SeaMonkey1.5)

> Sun製のJRE5.0 updata6 Java3D1.3.1が入っていて
> JRE側のJavaコントロールパネル、詳細タブ<APPLET>タグのサポートで
> MozillaおよびNetScapeにチェックを入れて「了解」ボタンを押しても
> 再度Javaコントロールパネルを立ち上げると同チェックが外れてしまいます。

<APPLET>タグのサポートの「MozillaおよびNetScape」のチェック・アンチェックでMozilla 1.x/Netscape 6 or 7/Firefox 1.xが導入されているか調べ、あればJavaのプラグインをPluginsディレクトリーにコピー・削除するはずなんですが、どうもFirefox 1.5.0.xになって、Sun Java側が導入されていることを検知できていないようです。
Firefox 1.0.xの時には検知してコピーしていたと記憶していますから、FirefoxチームがSunにお知らせしないで1.5.xではなくて1.5.0.xと数字4つに変えちゃったせいかもしれません。
単に1.5について見てくれないだけかもしれませんが、このあたり、Sunの連中も結構おマヌケな可能性は充分にあり(^^)
「了解」(「適用」ボタンのほうがエラーの状況を確認しやすい)でエラーになる件は、Mozilla 1.7.xをダミーで入れておけばエラーにはなりません。
(Firefox 1.0を一度入れておけばいいのかどうかは、不明)
Firefox 1.5.0.xにコピーしてくれないことは、相変わらずですけど。

Javaプラグインの場合、Pluginsに無ければプラグインサーチが探しに行きますから通常は問題ないですが、古いプラグインが残っている場合などでは問題が起こり得ます。
念のために、実際に使われているプラグインを確認しておいたほうがいいでしょう。
(1) about:configから、plugin.expose_full_path=true にセット
(2) about:plugins
(3) about:configで、plugin.expose_full_path=false にリセット(お忘れなく)


[ 次のトピック内容10件 ]
このトピックの全ページ / [0] [1] [2]

返信不可


- Child Tree -